/* 
* Index file
*/

const mongoose = require('mongoose');
const config = require('./config');

mongoose.set('debug', true);
mongoose.Promise = global.Promise;

mongoose.connect(config.database, {
  useNewUrlParser: true,
  useFindAndModify: false,
  useCreateIndex: true
});

console.log('Connected to: ' + config.database);

module.exports.User = require('./models/user');
module.exports.Buyer = require('./models/buyer');
module.exports.Supplier = require('./models/supplier');
module.exports.Box = require('./models/box');
module.exports.BoxType = require('./models/boxType');
module.exports.Bid = require('./models/bid');
module.exports.Token = require('./models/token');
module.exports.Event = require('./models/event');
module.exports.Notification = require('./models/notification');
module.exports.AboutUs = require('./models/aboutus');
module.exports.Log = require('./models/log');
module.exports.NotifiedEmail = require('./models/notifiedemail');
module.exports.Negotiation = require('./models/negotiation');
module.exports.Producer = require('./models/producer')
module.exports.SaleType = require('./models/saleType')
module.exports.PriceTier = require('./models/priceTier')