const mongoose = require('mongoose');
const Schema = mongoose.Schema;
const timestamps = require('mongoose-timestamps');

const BuyerSchema = new Schema({
  userId: {
    type: Schema.ObjectId,
    ref: 'User'
  },
  bids: [{
    type: Schema.ObjectId,
    ref: 'Bid'
  }],
  newApprovedBids: {
    type: Number,
    default: 0
  }
});

BuyerSchema.plugin(timestamps);

module.exports = mongoose.model('Buyer', BuyerSchema);
