const mongoose = require('mongoose');
const Schema = mongoose.Schema;
const timestamps = require('mongoose-timestamps');

const NegotiationSchema = new Schema({
  status: {
    type: String,
    enum: ['Pending', 'Approved', 'Disapproved']
  },
  box: {
    type: Schema.ObjectId,
    ref: 'Box'
  },
  buyer: {
    type: Schema.ObjectId,
    ref: 'User'
  },
  supplier: {
    type: Schema.ObjectId,
    ref: 'User'
  },
  initialOffer: {
    type: Schema.ObjectId,
    ref: 'Bid'
  },
  activeOffer: {
    type: Schema.ObjectId,
    ref: 'Bid'
  },
  previousOffer: {
    type: Schema.ObjectId,
    ref: 'Bid'
  },
  exposedBid: {
    type: Boolean,
    default: true
  }
});

NegotiationSchema.plugin(timestamps);

module.exports = mongoose.model('Negotiation', NegotiationSchema);
