const mongoose = require('mongoose');
const Schema = mongoose.Schema;
const timestamps = require('mongoose-timestamps');

const SupplierSchema = new Schema({
  userId: {
    type: Schema.ObjectId,
    ref: 'User'
  },
  boxes: [{
    type: Schema.ObjectId,
    ref: 'Box'
  }],
  newBids: {
    type: Number,
    default: 0
  }
});

SupplierSchema.plugin(timestamps);

module.exports = mongoose.model('Supplier', SupplierSchema);
